<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2020년 07월 24일 금요일 오전 0시 37분 - 날씨 비온후 갬, 18, 18, 22, 20 / 최고 좋음, 2, 0

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
            그누보드 외에 추가된 소스는~
            만든사람의 허락없이 무단으로 사용할수 없습니다.
            사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
            http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > FORM
=====================================================================

//*****************************************************************
//** SAM_SOSS
//*****************************************************************

*/

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 작업일시 : 2020년 07월 24일 금요일 오전 05시 23분 - 날씨 
  ▣ 작업내용 : 
*/

  IF ( !defined('_GNUBOARD_') )                  EXIT;

  function https_url_get($url, $replace_schema = 'https')
  {

      IF (G5_HTTPS_DOMAIN)
      {

          SWITCH($replace_schema)
          {

              CASE 'http' :

                  $url = str_replace(G5_HTTPS_DOMAIN, G5_DOMAIN, $url);

              BREAK;

              DEFAULT :

                  $url = str_replace(G5_DOMAIN, G5_HTTPS_DOMAIN, $url);

              BREAK;

          }

      }

      return $url;

  }

  function get__https_url($url, $replace_schema = 'https')
  {

      IF (G5_HTTPS_DOMAIN)
      {

          SWITCH($replace_schema)
          {

              CASE 'http' :

                  $url = str_replace(G5_HTTPS_DOMAIN, G5_DOMAIN, $url);

              BREAK;

              DEFAULT :

                  $url = str_replace(G5_DOMAIN, G5_HTTPS_DOMAIN, $url);

              BREAK;

          }

      }

      return $url;

  }

  function get_g5_skin_dir($skin, $skin_path = G5_SKIN_PATH)
  {
      global $g5;
  
      $result_array = array();
  
      $dirname = $skin_path . '/' . $skin . '/';

      if (!is_dir($dirname)) {
          return array();
      }

      $handle = opendir($dirname);
      while ($file = readdir($handle)) {
          if ($file == '.' || $file == '..') {
              continue;
          }
  
          if (is_dir($dirname . $file)) {
              $result_array[] = $file;
          }
      }
      closedir($handle);
      sort($result_array);
  
      return $result_array;
  }

  function get_g5_sanitize_input($func_var_s, $func_is_html=false)
  {

    IF ( !$func_is_html )
    {
      $func_var_s = strip_tags($func_var_s);
    }

    $func_var_s = htmlspecialchars($func_var_s, ENT_QUOTES, 'utf-8');

    return $func_var_s;

  }

?>